## binutils-msp430 2.24~ti+exp0

=== debian/changelog ===
binutils-msp430 (2.24~ti+exp0) experimental; urgency=medium

  * New upstream release
  * Switch to vanilla upstream, new port by RedHat 

 -- Luca Bruno <lucab@debian.org>  Thu, 26 Dec 2013 18:40:56 +0100

binutils-msp430 (2.22~msp20120406-3) unstable; urgency=medium

  * Do not build info doc (Closes: #712354)

 -- Luca Bruno <lucab@debian.org>  Mon, 23 Dec 2013 17:38:14 +0100

binutils-msp430 (2.22~msp20120406-2) unstable; urgency=low

  * Upload to unstable 

 -- Luca Bruno <lucab@debian.org>  Fri, 18 May 2012 19:17:33 +0200

binutils-msp430 (2.22~msp20120406-1) experimental; urgency=low

  * New upstream release
  * Using vanilla sources due to upstream and debian binutils
    de-synchronization.

 -- Luca Bruno <lucab@debian.org>  Thu, 10 May 2012 15:14:44 +0200

binutils-msp430 (2.22~msp20110716p5-1) unstable; urgency=low

  * Upstream patch-point
    + SF 3379341: non-empty ARCH environment variable results unusable ld
    + SF 3386145: gc-sections broken in LTS 20110716
    + SF 3143071: error in addend of relocation entry in output
    + SF 3400711: consts placed in RAM instead of ROM with -fdata-sections
    + SF 3400750: infomemnobits missing from LTS 20110716

 -- Luca Bruno <lucab@debian.org>  Sat, 14 Jan 2012 16:54:13 +0100

binutils-msp430 (2.21~msp20110716-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Mon, 15 Aug 2011 21:14:44 +0200

binutils-msp430 (2.21~msp20110421-2) unstable; urgency=medium

  * Loosen build-dep on binutils, due to high-flux uploads 
    (Closes: #629752)

 -- Luca Bruno <lucab@debian.org>  Wed, 08 Jun 2011 18:56:40 +0200

binutils-msp430 (2.21~msp20110421-1) unstable; urgency=low

  * Upload to Debian Unstable
  * Added proper dependency on msp430mcu

 -- Luca Bruno <lucab@debian.org>  Sat, 28 May 2011 18:22:36 +0200

binutils-msp430 (2.21~msp20110421-0exp1) experimental; urgency=low

  * New experimental snapshot

 -- Luca Bruno <lucab@debian.org>  Thu, 21 Apr 2011 23:34:14 +0200

binutils-msp430 (2.21~msp20110414-1) experimental; urgency=low

  * Initial upload to Debian (Closes: #329631)

 -- Luca Bruno <lucab@debian.org>  Thu, 14 Apr 2011 20:29:27 +0200
