=== debian/control ===
Source: binutils-msp430
Section: devel
Priority: extra
Maintainer: Luca Bruno <lucab@debian.org>
Standards-Version: 3.9.5
Build-Depends: 	autoconf (>= 2.13), bison, flex, gettext, texinfo,
		binutils (>= 2.9.5.0.12), gcc (>= 2.95.2), 
		debhelper (>= 7), tar (>= 1.13.18), bzip2, 
		findutils(>= 4.2.31), msp430mcu, binutils-source

Package: binutils-msp430
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, msp430mcu
Built-Using: binutils (= ${binutils:Version})
Description: Binary utilities supporting TI's MSP430 targets
 The programs in this package are used to manipulate binary and object
 files that may have been created for TI's MSP430 architecture. 
 This package is primarily intended for MSP430 developers and 
 cross-compilers.
