## binutils-msp430 2.40.50~ti1

=== debian/changelog ===
binutils-msp430 (2.40.50~ti1) unstable; urgency=medium

  * New maintainer. (Closes: #1036351)
  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Bumped debhelper-compat to 13
      - Added vcs-git.
  * debian/rules:
      - Added hardening flags.
      - Applied patches to fix typos.
  * debian/copyright:
      - Updated to follow dep-5

 -- Thiago Marques Siqueira <thiagoms.15@gmail.com>  Wed, 28 Jun 2023 22:45:44 +0100

binutils-msp430 (2.24~ti3) unstable; urgency=medium

  * debian/rules: Pass libdir to configure. (Closes: #1039064)
  * debian/control: Apply "wrap-and-sort -st" to Build-Depends.
  * Remove needless debian/dirs file.
  * Remove empty patchlist file.
  * debian/rules: Drop unused VERSION variable.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 25 Jun 2023 14:06:39 -0700

binutils-msp430 (2.24~ti2) unstable; urgency=medium

  * QA upload.
  * debian/rules: Switch to dh. (Closes: #1038908)
  * Switch to debhelper-compat 10. (Closes: #1038908)
  * debian/control: Change to priority "optional".
  * debian/rules: Pass --with-system-zlib to configure.
  * debian/rules: Pass --enable-deterministic-archives to configure.
  * debian/control: Set Rules-Requires-Root to "no".

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 24 Jun 2023 20:24:14 -0700

binutils-msp430 (2.24~ti1) unstable; urgency=medium

  * QA upload
  * Update debhelper to compat 7 (Closes: #965439)
  * Add missing rules targets (Closes: #998996)
  * Convert to source format 3.0 (native)

 -- Bastian Germann <bage@debian.org>  Fri, 19 May 2023 15:28:01 +0200
