=== debian/control ===
Source: binutils-msp430
Section: devel
Priority: optional
Maintainer: Thiago Marques Siqueira <thiagoms.15@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/thiago/binutils-msp430.git
Vcs-Browser: https://salsa.debian.org/thiago/binutils-msp430
Rules-Requires-Root: no
Build-Depends:
 autoconf (>= 2.13),
 binutils (>= 2.9.5.0.12),
 binutils-source,
 bison,
 bzip2,
 debhelper-compat (= 13),
 findutils(>= 4.2.31),
 flex,
 gcc (>= 2.95.2),
 gettext,
 msp430mcu,
 tar (>= 1.13.18),
 texinfo,

Package: binutils-msp430
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, msp430mcu
Built-Using: binutils (= ${binutils:Version})
Description: Binary utilities supporting TI's MSP430 targets
 The programs in this package are used to manipulate binary and object
 files that may have been created for TI's MSP430 architecture.
 This package is primarily intended for MSP430 developers and
 cross-compilers.
