## binutils-msp430 2.40.50~ti1ubuntu1

=== debian/changelog ===
binutils-msp430 (2.40.50~ti1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on ppc64el by using O2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Jul 2023 09:34:37 +0200

binutils-msp430 (2.24~ti3ubuntu1) mantic; urgency=medium

  * Fix build on ppc64el by using O2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jun 2023 07:13:42 +0200
