=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,14 @@
 PACKAGE = binutils-msp430
 TARGET = msp430
 BINUTILS_VER := $(shell dpkg-query -W -f="\$${Version}\n" binutils-source)
+
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+export DEB_CFLAGS_MAINT_STRIP = -O3
+export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
 
 BUILD_TREE = $(shell find . -maxdepth 1 -mindepth 1 -type d -name 'binutils*')
 DEB_BINUTILS = .
